<?php defined('DIR_SYSTEM')OR die( "Direct Access Is Forbidden" );

/* setting */
$rss_url    = $apps[0];
$cache_time = $apps[1]; 
$cache_file_name  = 'module_apps_demo/cache/'.md5($rss_url);

if(file_exists($cache_file_name) && (strtotime('now') - filemtime($cache_file_name) < $cache_time)) {
    $rss = file_get_contents($cache_file_name); // get feed from cache file
} else {
    $rss = file_get_contents($rss_url); // get feed from server
    
    if(strlen($rss) > 3000)
        file_put_contents($cache_file_name, $rss); // cache content
}

$rss = simplexml_load_string($rss);

echo '<h1>'. $rss->channel->title. '</h1>'. "\n";
echo '<h2>'. $rss->channel->description. '</h2>'. "\n";

foreach($rss->channel->item as $item) {
    echo '<h4><a href="'. $item->link. '">'. $item->title. '</a><div>'. $item->pubDate. '</div></h4>'. "\n";
    echo $item->description. "\n";
}
?>